class_name Tuple extends RefCounted

var _items: Array

func _init(items: Array) -> void:
    _items = items

static func from_iter(iter: Iterator):
    Tuple.new(iter.collect())

func iter() -> Iterator:
    return ListIterator.from_array(_items)

func _get(property) -> Variant:
    return _items[property]
